#48 Can't launch BRL-CAD

release 7.12
closed-later
Modeling (11)
5
2010-02-28
2010-01-21
No

Okay so I downloaded the latest version of BRL-CAD for Mac 7.12.2 followed the directions to launch it in XTerm (their are two ways; bourne-shell based shells and C-shell based shells) which you already know... I tried both ways with no success.... always "no such directory" or " command not found " I also tried "usr/brlcad/rel-7.12.2/mged bash; sentenv:" and got "command not found" again. I copied and pasted from the tutorial as well to insure there wouldn't be a syntex error.... I see that other are using this same program on their Macs with no problem...

I run GIMP and Inkscape just fine on this Mac so I don't understand what is the problem here....I suspect it is in the path. I'm still a newbie to X11 and the use of Terminal commands/XTerm etc. can anyone help with this problem??

Discussion

  • Sean Morrison

    Sean Morrison - 2010-01-21

    It sounds like you didn't copy and paste the commands correctly. You are missing the preceding slash and left out the bin directory. The command line is very unforgiving, you have to enter the command name exactly correct.

    /usr/brlcad/rel-7.12.2/bin/mged

    See if that works for you.

     
  • Sean Morrison

    Sean Morrison - 2010-01-21
    • labels: --> Modeling
    • assigned_to: nobody --> brlcad
    • priority: 5 --> 3
    • status: open --> pending
     
  • Patrick Green

    Patrick Green - 2010-01-22

    >Comment By: Sean Morrison (brlcad)
    Date: 2010-01-21 19:30

    Message:
    It sounds like you didn't copy and paste the commands correctly. You are
    missing the preceding slash and left out the bin directory. The command
    line is very unforgiving, you have to enter the command name exactly
    correct.

    /usr/brlcad/rel-7.12.2/bin/mged

    See if that works for you.

    Same thing happened: user-accounts-power-mac-g4:~ User$ /usr/brlcad/-7.12.2/bin/mged
    bash: /usr/brlcad/-7.12.2/bin/mged: No such file or directory
    user-accounts-power-mac-g4:~ User$

    I'm using X11 starter Version 0.99u, The X Window System X11 1.1.3 - XFree86 4.4.0 Machine Power Mac G4
    Machine Model:PowerMac3,4
    CPU Type:PowerPC G4 (2.0)
    Number Of CPUs: 1
    CPU Speed:733 MHz
    L2 Cache (per CPU):256 KB
    L3 Cache (per CPU):1 MB
    Memory:1 GB
    Bus Speed:133 MHz
    Boot ROM Version: 4.2.8f1
    Serial Number: XB1103A2KZ4
    Sales Order Number:M8451LL/A

    Any other ideas as to why this will not boot up?
    Thanks,
    Patrick

     
  • Patrick Green

    Patrick Green - 2010-01-22
    • status: pending --> open
     
  • Sean Morrison

    Sean Morrison - 2010-01-22

    You still failed to enter the command name exactly correct. Read what I wrote, read what you wrote. You left out "rel". If you're having that much trouble just running the command that starts up MGED, you're probably going to also have trouble using MGED itself as it's rather heavily command-centric for the more powerful editing operations.

     
  • Sean Morrison

    Sean Morrison - 2010-01-22
    • status: open --> pending-invalid
     
  • Patrick Green

    Patrick Green - 2010-01-23

    Sean,

    Okay I realize that I forgot the "rel" sorry for the trouble, I have typed it so many times I'm getting sloppy..with that said here is the new error message; Last login: Fri Jan 22 12:54:00 on console
    Welcome to Darwin!
    user-accounts-power-mac-g4:~ User$ /usr/brlcad/rel-7.12.2/bin/mged
    -bash: /usr/brlcad/rel-7.12.2/bin/mged: cannot execute binary file
    user-accounts-power-mac-g4:~ User$

    So what do I do now? Is there a tutorial on the command lines for this program? I really want to learn this.

     
  • Patrick Green

    Patrick Green - 2010-01-23
    • status: pending-invalid --> open-invalid
     
  • Sean Morrison

    Sean Morrison - 2010-01-23

    Ack! After all that trouble to get it started, it turns out that the binary is not compatible with your system. Those binaries are apparently for an earlier version of Mac OS X (I don't recall which exactly, possibly 10.3 or 10.4). So now your options are basically either a) wait for new binaries to be posted or b) compile BRL-CAD from source code.

    It's uncertainly exactly how long you'd have to wait for "a" to occur, but the current plan is to push out new binaries next month (February). To do "b" now, if you're careful with your typing, the following set of commands "should" work to give you a functioning install:

    cd
    svn checkout https://brlcad.svn.sourceforge.net/svnroot/brlcad/brlcad/tags/rel-7-16-4 brlcad
    cd brlcad
    sh autogen.sh
    ./configure --enable-all --prefix=/usr/brlcad/rel-7.16.4
    make
    sudo make install

    If any step fails, post the output here before proceeding to the next step.

     
  • Sean Morrison

    Sean Morrison - 2010-01-23
    • priority: 3 --> 5
    • status: open-invalid --> pending
     
  • Patrick Green

    Patrick Green - 2010-01-24

    Sean,

    Thanks again for your time and patients, followed your direction and its still a no go.....arrrrggggg.

    here is what the terminal reports;
    Last login: Sat Jan 23 18:21:54 on console
    Welcome to Darwin!
    user-accounts-power-mac-g4:~ User$ cd
    user-accounts-power-mac-g4:~ User$ svn checkout
    -bash: svn: command not found
    user-accounts-power-mac-g4:~ User$

    So I didn't get very far.. I checked out the link you provided but waiting for further instructions from you first.
    Thanks again for you time.
    Patrick

     
  • Patrick Green

    Patrick Green - 2010-01-24
    • status: pending --> open
     
  • Sean Morrison

    Sean Morrison - 2010-01-24

    Hm, that is peculiar. It sounds like you have an older G4 that doesn't have the Developer Tools installed. The developer tools should be on your installation Discs, or you can download them online from here: http://developer.apple.com/technology/xcode.html

    To be sure you don't already have "svn" installed, you can run:
    locate svn

    If it returns nothing, then you do have to install it from the developer tools. If it returns a something../bin/svn line, then you can show the full output here.

     
  • Patrick Green

    Patrick Green - 2010-01-24

    Sean, here you go..

    Last login: Sat Jan 23 19:45:37 on ttyp1
    Welcome to Darwin!
    user-accounts-power-mac-g4:~ User$ locate svn
    /Applications/Gimp.app/Contents/Resources/lib/python2.5/site-packages/numpy/core/__svn_version__.py
    /Applications/Gimp.app/Contents/Resources/lib/python2.5/site-packages/numpy/core/__svn_version__.pyc
    /Applications/Gimp.app/Contents/Resources/lib/python2.5/site-packages/numpy/f2py/__svn_version__.py
    /Applications/Gimp.app/Contents/Resources/lib/python2.5/site-packages/numpy/f2py/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.3/numpy/core/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.3/numpy/core/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.3/numpy/f2py/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.3/numpy/f2py/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.4/numpy/core/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.4/numpy/core/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.4/numpy/f2py/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.4/numpy/f2py/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.5/numpy/core/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.5/numpy/core/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.5/numpy/f2py/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/i386/2.5/numpy/f2py/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.3/numpy/core/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.3/numpy/core/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.3/numpy/f2py/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.3/numpy/f2py/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.4/numpy/core/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.4/numpy/core/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.4/numpy/f2py/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.4/numpy/f2py/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.5/numpy/core/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.5/numpy/core/__svn_version__.pyc
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.5/numpy/f2py/__svn_version__.py
    /Applications/Inkscape tiger.app/Contents/Resources/python/site-packages/ppc/2.5/numpy/f2py/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.3/numpy/core/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.3/numpy/core/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.3/numpy/f2py/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.3/numpy/f2py/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.4/numpy/core/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.4/numpy/core/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.4/numpy/f2py/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.4/numpy/f2py/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.5/numpy/core/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.5/numpy/core/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.5/numpy/f2py/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.5/numpy/f2py/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.6/numpy/core/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.6/numpy/core/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.6/numpy/f2py/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/i386/2.6/numpy/f2py/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.3/numpy/core/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.3/numpy/core/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.3/numpy/f2py/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.3/numpy/f2py/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.4/numpy/core/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.4/numpy/core/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.4/numpy/f2py/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.4/numpy/f2py/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.5/numpy/core/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.5/numpy/core/__svn_version__.pyc
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.5/numpy/f2py/__svn_version__.py
    /Applications/Inscape lepard/Inkscape lepard.app/Contents/Resources/python/site-packages/ppc/2.5/numpy/f2py/__svn_version__.pyc
    /Developer/ADC Reference Library/documentation/DeveloperTools/Conceptual/XcodeUserGuide/Contents/Resources/en.lproj/Art/svn_auth_conf.gif
    /Developer/ADC Reference Library/documentation/DeveloperTools/Conceptual/XcodeUserGuide/Contents/Resources/ja.lproj/Art/svn_auth_conf.gif
    /Developer/Applications/Xcode.app/Contents/Resources/XcodeRefLib/documentation/DeveloperTools/Conceptual/XcodeUserGuide/Contents/Resources/en.lproj/Art/svn_auth_conf.gif
    /Developer/Applications/Xcode.app/Contents/Resources/XcodeRefLib/documentation/DeveloperTools/Conceptual/XcodeUserGuide/Contents/Resources/ja.lproj/Art/svn_auth_conf.gif
    /usr/share/vim/vim62/syntax/svn.vim
    user-accounts-power-mac-g4:~ User$

     
  • Sean Morrison

    Sean Morrison - 2010-01-25

    Yeah, that 'locate' command basically indicated that you have an older copy of the Developer Tools installed (which does not include the requisite "svn" tool). So if you go to the link I sent in the previous comment, you can create an ADC account (just requires an e-mail, no obligation or spam otherwise) and then download an updated copy of the developer tools from Apple. Once that is installed, you should have the "svn" tool and can follow the rest of the directions.

     
  • Sean Morrison

    Sean Morrison - 2010-01-25
    • status: open --> pending
     
  • Patrick Green

    Patrick Green - 2010-01-25
    • status: pending --> open
     
  • Patrick Green

    Patrick Green - 2010-01-25

    Sean, I see that this version of Xcode 3.2.1 is for OSX 10.6 and higher and for intell processer. It has info on targeting OSX 10.4 but I'm not sure I understand this... Do you want me to download this copy(3.2.1) of Xcode and just intsall the svn tools?? or is this the last nail in the coffin for this program.=(

     
  • Sean Morrison

    Sean Morrison - 2010-02-13

    Patrick, it's not exactly the nail in the coffin, but it does sound like you have a bit of a hill you'd have to climb to make it through all the steps yourself. The best thing to do for now sounds like to just wait for an updated binary release for Mac that you can just download and test. If you file a feature request for a new Mac binary, it will get updated and you'll be notified when a new release is posted.

    As to your question, if you follow the link it should have made more sense but might require a little searching. You're downloading Apple's developer tools (which XCode is part of and svn is similarly included), whatever the last version was for 10.4 and installing it.

     
  • Sean Morrison

    Sean Morrison - 2010-02-13
    • status: open --> pending-later
     
  • SourceForge Robot

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • SourceForge Robot

    • status: pending-later --> closed-later
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks